{ config, pkgs, lib, modulesPath, ... }:

{
  imports =
    [
      (modulesPath + "/virtualisation/proxmox-lxc.nix")
      ../../base.nix
      ../../common/metrics-exporters.nix
      # ./hardware-configuration.nix
  ];

  fileSystems."/mnt/backup" = {
    fsType = "nfs";
    device = "//voyager.home.feal.no/defiant-backup";
    options = [ "defaults" "noauto" "x-systemd.automount" ];
  };

  # Boot, console and networking is handled by proxmoxLXC.
  boot.loader.systemd-boot.enable = lib.mkForce false; # Enabled in base.nix, forced off here.
  networking.domain = lib.mkForce null;

  sops.defaultSopsFile = ../../secrets/sarek/edison.yaml;

  environment.variables = { EDITOR = "vim"; };
  environment.systemPackages = with pkgs; [
  ];

  networking.firewall.allowedTCPPorts = [ 22 ];

  system.stateVersion = "23.05";
}

